public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-fonts/noto-emoji/, media-fonts/noto-emoji/files/
Date: Sat, 20 Oct 2018 11:39:42 +0000 (UTC)	[thread overview]
Message-ID: <1540035530.a3a00933657efc59adb45c0a1e89f030be5de83f.pacho@gentoo> (raw)

commit:     a3a00933657efc59adb45c0a1e89f030be5de83f
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 20 09:11:32 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Oct 20 11:38:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3a00933

media-fonts/noto-emoji: Allow to build with graphicsmagick

Thanks-to: Albert W. Hopkins
Thanks-to: Anthony Parsons
Closes: https://bugs.gentoo.org/668718
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 .../noto-emoji/files/noto-emoji-use-gm.patch       | 30 ++++++++++++++++++++++
 media-fonts/noto-emoji/noto-emoji-20180814.ebuild  |  6 +++++
 2 files changed, 36 insertions(+)

diff --git a/media-fonts/noto-emoji/files/noto-emoji-use-gm.patch b/media-fonts/noto-emoji/files/noto-emoji-use-gm.patch
new file mode 100644
index 00000000000..5710fd53dc5
--- /dev/null
+++ b/media-fonts/noto-emoji/files/noto-emoji-use-gm.patch
@@ -0,0 +1,30 @@
+Index: noto-emoji-352632eb1935fd2b732f6f3ca0a24e9754c3eccf/Makefile
+===================================================================
+--- noto-emoji-352632eb1935fd2b732f6f3ca0a24e9754c3eccf.orig/Makefile
++++ noto-emoji-352632eb1935fd2b732f6f3ca0a24e9754c3eccf/Makefile
+@@ -20,7 +20,8 @@ LDFLAGS = -lm `pkg-config --libs cairo`
+ PNGQUANT = pngquant
+ PNGQUANTFLAGS = --speed 1 --skip-if-larger --quality 85-95 --force
+ BODY_DIMENSIONS = 136x128
+-IMOPS := -size $(BODY_DIMENSIONS) canvas:none -compose copy -gravity center
++#IMOPS := -size $(BODY_DIMENSIONS) canvas:none -compose copy -gravity center
++IMOPS = -size 136x128 -background none -gravity center -extent 136x128 -compose copy
+ 
+ # zopflipng is better (about 5-10%) but much slower.  it will be used if
+ # present.  pass ZOPFLIPNG= as an arg to make to use optipng instead.
+@@ -172,13 +173,13 @@ waveflag: waveflag.c
+ # imagemagick packaged with ubuntu trusty (6.7.7-10) by using -composite.
+ 
+ $(EMOJI_DIR)/%.png: $(EMOJI_SRC_DIR)/%.png | $(EMOJI_DIR)
+-	@convert $(IMOPS) "$<" -composite "PNG32:$@"
++	@gm convert $(IMOPS) "$<" "PNG32:$@"
+ 
+ $(FLAGS_DIR)/%.png: $(FLAGS_SRC_DIR)/%.png ./waveflag $(PNGQUANT) | $(FLAGS_DIR)
+ 	@./waveflag $(FLAGS_DIR)/ "$<"
+ 
+ $(RESIZED_FLAGS_DIR)/%.png: $(FLAGS_DIR)/%.png | $(RESIZED_FLAGS_DIR)
+-	@convert $(IMOPS) "$<" -composite "PNG32:$@"
++	@gm convert $(IMOPS) "$<" "PNG32:$@"
+ 
+ flag-symlinks: $(RESIZED_FLAG_FILES) | $(RENAMED_FLAGS_DIR)
+ 	@$(subst ^, ,                                  \

diff --git a/media-fonts/noto-emoji/noto-emoji-20180814.ebuild b/media-fonts/noto-emoji/noto-emoji-20180814.ebuild
index 7d76d22e0b8..7dd40de2811 100644
--- a/media-fonts/noto-emoji/noto-emoji-20180814.ebuild
+++ b/media-fonts/noto-emoji/noto-emoji-20180814.ebuild
@@ -23,6 +23,7 @@ DEPEND="${PYTHON_DEPS}
 	dev-python/nototools
 	media-gfx/pngquant
 	x11-libs/cairo
+	|| ( media-gfx/imagemagick media-gfx/graphicsmagick )
 "
 RDEPEND=""
 
@@ -43,4 +44,9 @@ src_prepare() {
 	default
 	# Use system pngquant
 	rm -rf third_party/pngquant
+
+	# Fedora patch to allow graphicsmagick usage
+	if has_version media-gfx/graphicsmagick; then
+		eapply "${FILESDIR}/${PN}-use-gm.patch"
+	fi
 }


             reply	other threads:[~2018-10-20 11:39 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-20 11:39 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-04-23  0:29 [gentoo-commits] repo/gentoo:master commit in: media-fonts/noto-emoji/, media-fonts/noto-emoji/files/ Pacho Ramos
2023-03-19 16:56 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1540035530.a3a00933657efc59adb45c0a1e89f030be5de83f.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox